Bug 54869 - Non-breaking space characters cause httpd to choke
Summary: Non-breaking space characters cause httpd to choke
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Runtime Config (show other bugs)
Version: 2.2.14
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2013-04-19 15:18 UTC by Michael Behan
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Behan 2013-04-19 15:18:12 UTC
We have found that config files containing legitimate, non-breaking space characters (Unicode U+00A0) will cause Apache to choke - resetting all incoming connections. While these are not typically used in config files - they are valid whitespace characters, and not all editors display them as a special character. (TextMate2 and Eclipse do while VIM and EMACS do not). Some editors also insert them automatically which is how they made their way into our config files to begin with.

The expected behavior would be to have Apache treat these characters like any other whitespace character and operate normally without resetting connections.

Thanks!
Michael
Comment 1 Eric Covener 2013-04-19 17:17:21 UTC
what files / directives? What's logged?    Why is a connection reset?
Comment 2 Jeff Trawick 2013-07-26 17:59:52 UTC
Are these in .htaccess files?
By "resetting connections" do you possibly mean returning 500 errors?  (check access log)
Comment 3 Michael Behan 2013-07-26 18:45:34 UTC
This is in httpd.conf. I will get the log entries ASAP if they still exist. Since this was opened we have been cautious to make sure these characters do not exist.

Thanks
Michael
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:31 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.